package com.sd.wln.scheduled;

import com.sd.wln.service.WlnSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class WlnSyncTask {

    @Autowired
    private WlnSkuService wlnSkuService;

    /**
     * 每天同步库存
     */
    // @Scheduled(cron = "0 0 1 * * ?")
    @Scheduled(cron = "0/1 * * * * ?")
    public void syncSku() {
        for (int i = 0; i < 3; i++) {
            boolean flag = wlnSkuService.syncSkuClassify();
            if (flag) {
                break;
            }
        }

        for (int i = 0; i < 3; i++) {
            boolean flag = wlnSkuService.syncSku();
            if (flag) {
                break;
            }
        }

    }

}
