package com.sd.business.mapper.sku;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.entity.sku.vo.SkuSpecVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * sku规格 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
public interface SkuSpecMapper extends BaseMapper<SkuSpec> {

    /**
     * sku规格分页
     */
    Page<SkuSpecVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SkuSpec> wrapper);

}
